Skip to main content
GET
/
v1
/
file-documents
cURL
curl --request GET \
  --url https://public.api.live.turrisfi.com/v1/file-documents
{
  "data": [
    {
      "_id": "<string>",
      "category": "W9",
      "versions": [
        {
          "s3VersionId": "<string>",
          "metadataModel": "<string>",
          "metadataId": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
  "timestamp": "2025-11-12T20:49:03.293Z"
}
This is a filtered use case of the List Documents endpoint. To retrieve producer agreement templates, use the following query parameters:
ParameterValue
categoryProducer Agreement
subCategorytemplate
isDeletedfalse
Producer agreement templates are master documents that define the contractual relationship between an upstream entity and its downstream entities.

Query Parameters

category
enum<string>
required

Filter documents by file document category

Available options:
W9,
E&O,
Cyber,
Producer Agreement,
Crime & Fidelity,
Other Contract,
Other Document,
Payment Details,
License PDF
Example:

"Producer Agreement"

subCategory
enum<string>

Filter Producer Agreement documents by type (instance or template)

Available options:
instance,
template
Example:

"template"

isDeleted
boolean

Filter documents by their soft-deletion status

Example:

false

Response

List of file documents

data
object[]
required
requestId
string
required

Unique request identifier

Example:

"dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8"

timestamp
string
required

Response timestamp

Example:

"2025-11-12T20:49:03.293Z"